/****************************************************************************
 *
 *                OpenWatcom for OS/2 Misc Libray Routine
 *
 *  ========================================================================
 *
 *          Michael K Greene <greenemk@cox.net> September 2004
 *
 *            For use with OS/2 OpenWatom (www.openwatcom.org).
 *
 *  ========================================================================
 *
 * Description:  Returns the executable name using WATCOM MACRO __argv.
 *               Handles the __progname (see compat.h) and a BSD function
 *               that I have not used yet (getprogname( )).
 *
 ***************************************************************************/

#include <string.h>
#include <stdlib.h>

#ifdef __UNIX__
 #define SLASHES  '/'
#else
 #define SLASHES  '\\'
#endif


char * getprogname( void );
char * progname( void );


char * getprogname( void )
{
    return ( progname( ) );
}


char * progname( void )
{
    char * argv_zero = __argv[0];
    char * prog_name;

    prog_name = strrchr(argv_zero, SLASHES);

    if( prog_name )
      prog_name++;
    else
      prog_name = argv_zero;

    return( prog_name );
}
