/*
 * ANSI C version of strlcpy
 * Based on the NetBSD strlcpy man page.
 *
 * Neil Schemenauer <nas@python.ca>, 2002/03/22
 * Placed in the public domain.
 */

#include <stdlib.h>

size_t
strlcpy(char *dst, const char *src, size_t size)
{
	size_t n;

	for (n=0; n < size; n++) {
		dst[n] = src[n];
		if (src[n] == '\0') {
			break;
		}
	}
	if (n == size) {
                if (size > 0)
                    dst[n] = '\0';
		while (src[n])
			n++;
	}

	return n;
}
